
/**************************************************************************************************
*
*  Paraglider Base
*
*   Version:      1.0.0 - March 2009
*   Author:       Christoph Wartmann / chair for caad - ETH Zürich  /  wartmann[at]arch.ethz.ch
*                 Etienne Ribeiro    / tutorial assistant caad      /  eribeiro[at]ethz.ch
*
*   Desc:         Collects all Data received by the XBee-Nodes.
*
***************************************************************************************************/ 





// var

PFont Font;
String comPort = "";
SerialProtocolLibrary messanger;


// Setup

void setup () {
  
  // size
  size(560, 400);
  // Font
  Font = loadFont("Verdana-48.vlw");
  textFont(Font, 14);


  // Initialize COM Port
  messanger = new SerialProtocolLibrary (this, comPort);
  messanger.setID (0); // ID = 0 means you send and receive commands to/from all nodes
  
  
  // Background
  background(0);
  
}


// Draw

void draw () {

  
}





// Key pressed

void keyPressed() {
  
  //messanger.send('c', "command");
  
}


ArrayList arrNodes = new ArrayList();


// SerialEvenet

void SerialEvent (String msgid, String cmd, String message) {

  
  // Check if node is already listed:
  if (arrNodes.indexOf (msgid) == -1) {

    arrNodes.add (msgid);
    fill(255, 248, 21);
    print ("Node: " + msgid); // Console
    text ("Node " + msgid, 40, arrNodes.indexOf (msgid) * 60 + 50); 
    
  }
  int verticalIndex = arrNodes.indexOf (msgid) * 60;


  // Switch  
  switch (cmd.charAt(0)) {
    
    case 'a': // Accelerator
      fill(0);
      rect (200, verticalIndex + 50, 80, -13);
      fill(255);
      text (message, 200, verticalIndex + 50); text ("Hz", 230, verticalIndex + 50);    
      break;

    case 't': // Temperature
      fill(0);
      rect (300, verticalIndex + 50, 80, -13);
      fill(255);
      text (message, 300, verticalIndex + 50); text ("Grad", 340, verticalIndex + 50);    
      break;

    case 'p': // Pressure
      fill(0);
      rect (430, verticalIndex + 50, 80, -13);
      fill(255);
      text (message, 430, verticalIndex + 50); text ("Pa", 490, verticalIndex + 50);    
      break;
    
  }


  // Console:
  println ("message: " + message);
  
}

